Subject: Re: Fast access git-rev-list output: some OS knowledge required

From: Andreas Ericsson <[email-masked]>
Date: Thu, 07 Dec 2006 14:25:13 +0100

Shawn Pearce wrote:
> 
> Perhaps there is some fast IPC API supported by Qt that you could
> use to run the revision listing outside of the main UI process,
> to eliminate the bottlenecks you are seeing and remove the problems
> noted above?  One that doesn't involve reading from a pipe I mean...
> 

Why not just fork() + exec() and read from the filedescriptor? You can 
up the output buffer of the forked program to something suitable, which 
means the OS will cache it for you until you copy it to a buffer in qgit 
(i.e., read from the descriptor).

-- 
Andreas Ericsson                   [email-masked]
OP5 AB                             www.op5.se